## kernel-image-sparc-2.2 3

=== debian/changelog ===
kernel-image-sparc-2.2 (3) stable unstable; urgency=low

  * Using 2.2.18pre21
  * Updated config's
    - now includes nfsv3 support
    - sparc64 includes 7-segment display, and Creator DRI

 -- Ben Collins <bcollins@debian.org>  Wed, 22 Nov 2000 11:39:01 -0500

kernel-image-sparc-2.2 (2) frozen unstable; urgency=low

  * Fix soundcard.h for sparc compilation, as per Dave Miller
  * Only include asm-{sparc,sparc64} in kernel-header package

 -- Ben Collins <bcollins@debian.org>  Tue,  4 Jul 2000 10:46:54 -0400

kernel-image-sparc-2.2 (1) frozen unstable; urgency=low

  * New source package format to handle multiple kernel versions

 -- Ben Collins <bcollins@debian.org>  Mon, 19 Jun 2000 15:19:12 -0400

kernel-image-2.2.15-sparc (2.2.15-1) frozen unstable; urgency=low

  * Compile using latest kernel-source-2.2.15
  * Few more fixes for sparc64/sparc

 -- Ben Collins <bcollins@debian.org>  Sat, 27 May 2000 01:37:57 -0400

kernel-image-2.2.15-sparc (2.2.15-0.19.4) frozen unstable; urgency=low

  * New patch from Dave Miller, includes fix for exploitable DoS on
    ultra's

 -- Ben Collins <bcollins@debian.org>  Fri,  5 May 2000 21:13:43 -0400

kernel-image-2.2.15-sparc (2.2.15-0.19.3) frozen unstable; urgency=low

  * New patch from davem, includes the atyfb.c patch, plus some fixes
  * Redid kernel-header package by hand to account for kernel-packages
    inadequacy to handle subarchs for header packages. There is now one
    arch=all kernel-headers-$ver-sparc package, which a generated asm/
    directory (so that sparc and sparc64 can be compiled from the same
    package). The script to generate them in included in the package.

 -- Ben Collins <bcollins@debian.org>  Tue,  2 May 2000 14:59:08 -0400

kernel-image-2.2.15-sparc (2.2.15-0.19.2) frozen unstable; urgency=low

  * Merged patch from vger CVS
  * Added patch to atyfb.c (Thanks Dave)
  * Patch to power.c to correct path to shutdown

 -- Ben Collins <bcollins@debian.org>  Sat, 29 Apr 2000 21:22:05 -0400

kernel-image-2.2.15-sparc (2.2.15-0.19.1) frozen unstable; urgency=low

  * Apply 19to20 pre patch

 -- Ben Collins <bcollins@debian.org>  Mon, 24 Apr 2000 10:06:34 -0400

kernel-image-2.2.15-sparc (2.2.15-0.19) frozen unstable; urgency=low

  * Using 2.2.15-pre19 patch until the source is in the archive
  * CONFIG_AOUT=m on all images so that SunOS emu works, closes: #62376
  * Add sun4dm-pci image so people with ps2 keyboards and mouses can use
    Debian too.

 -- Ben Collins <bcollins@debian.org>  Fri, 21 Apr 2000 09:48:19 -0400

kernel-image-2.2.14-sparc (2.2.14-3) frozen unstable; urgency=low

  * Build with latest kernel-source-2.2.14
  * Build with OPENPROMIO built-in instead of as a module
  * Disable Vortex driver in sun4u images since we no longer have -m64 in
    gcc and egcs64 can't compile it.
  * Added new sun4u kernel headers package (been a long time coming,
    needed for many things). Renamed sparc32 headers to
    kernel-headers-*-sun4cdm fro clarity

 -- Ben Collins <bcollins@debian.org>  Tue, 11 Apr 2000 22:45:42 -0400

kernel-image-2.2.14-sparc (2.2.14-2) frozen unstable; urgency=low

  * Make sure Packet is compiled into the kernel and not as a module (fixes
    dhcp network config on boot-floppies)
  * Get rid of sun4c image (not needed)
  * Add sun4u-smp and sun4dm-smp images

 -- Ben Collins <bcollins@debian.org>  Wed, 22 Mar 2000 12:46:45 -0500

kernel-image-2.2.14-sparc (2.2.14-1) frozen unstable; urgency=low

  * Initial release.

 -- Ben Collins <bcollins@debian.org>  Tue, 29 Feb 2000 16:05:49 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "bcollins@debian.org"
End:
