=== debian/control ===
Source: kernel-image-sparc-2.2
Section: devel
Priority: optional
Maintainer:  Ben Collins <bcollins@debian.org>
Standards-Version: 3.0.1.0
Build-Depends: egcs64, gcc (>= 2.95.2-4.1), kernel-source, sparc-utils, bzip2

Package: kernel-headers-2.2.18pre21-sparc
Section: devel
Architecture: all
Priority: optional
Provides: kernel-headers
Description: Kernel header files for all sparc sub architectures
 This package provides kernel header files, for sites that want the latest
 kernel headers for sparc.

Package: kernel-image-2.2.18pre21-sun4cdm
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image
Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
Description: Linux kernel binary image for sun4c, sun4m and sun4d.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and SILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: sun4cdm includes virtually all non-UltraSPARC systems. If you do not
 have an UltraSPARC, this is most likely the kernel you want.

Package: kernel-image-2.2.18pre21-sun4dm-smp
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image
Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
Description: Linux kernel binary image for SMP sun4m and sun4d.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and SILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: sun4cdm includes virtually all non-UltraSPARC systems. If you do not
 have an UltraSPARC, this is most likely the kernel you want. Also, this
 kernel is specifically for SMP (multiple processors) systems. If you do not
 have more than one CPU, then choose the non-SMP kernel image.

Package: kernel-image-2.2.18pre21-sun4dm-pci
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image
Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
Description: Linux kernel binary image for PCI based sun4m and sun4d.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and SILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: sun4cdm includes virtually all non-UltraSPARC systems. If you do not
 have an UltraSPARC, this is most likely the kernel you want. Also, this
 kernel image is compiled specifically for PCI based systems. If you system
 does not have a PCI motherboard, you want to choose the standard sun4cdm
 image.

Package: kernel-image-2.2.18pre21-sun4u
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image
Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
Description: Linux kernel binary image for UltraSPARC (sun4u) systems.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: This kernel is strictly for UltraSPARC (sun4u) class systems. If you
 do not have an UltraSPARC, then most likely you want the sun4cdm image.

Package: kernel-image-2.2.18pre21-sun4u-smp
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image
Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
Description: Linux kernel binary image for SMP UltraSPARC (sun4u) systems.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: This kernel is strictly for UltraSPARC (sun4u) class systems. If you
 do not have an UltraSPARC, then most likely you want the sun4cdm image.
 Also, this kernel is specifically for SMP (multiple processors) systems. If
 you do not have more than one CPU, then choose the non-SMP kernel image.
