## kernel-image-sparc-2.2 6

=== debian/changelog ===
kernel-image-sparc-2.2 (6) stable unstable; urgency=low

  * Using 2.2.19 final now
  * remove support directories for all by 2.2.19 now

 -- Ben Collins <bcollins@debian.org>  Mon,  2 Apr 2001 11:48:57 -0400

kernel-image-sparc-2.2 (5) stable unstable; urgency=low

  * Using 2.2.19pre17 now

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Mar 2001 20:59:57 -0500

kernel-image-sparc-2.2 (4) stable unstable; urgency=low

  * Using 2.2.19pre11 now
  * Updated config's
  * Changes the way that kernel-headers are generated

 -- Ben Collins <bcollins@debian.org>  Fri, 16 Feb 2001 09:17:28 -0500
