=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Standards-Version: 3.0.1.0
 Build-Depends: egcs64, gcc (>= 2.95.2-4.1), kernel-source, sparc-utils, bzip2
 
-Package: kernel-headers-2.2.18pre21-sparc
+Package: kernel-headers-2.2.19-sparc
 Section: devel
 Architecture: all
 Priority: optional
-Provides: kernel-headers
+Provides: kernel-headers, kernel-headers-2.2
 Description: Kernel header files for all sparc sub architectures
  This package provides kernel header files, for sites that want the latest
  kernel headers for sparc.
 
-Package: kernel-image-2.2.18pre21-sun4cdm
+Package: kernel-image-2.2.19-sun4cdm
 Section: base
 Architecture: sparc
 Priority: optional
 Provides: kernel-image
-Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
+Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for sun4c, sun4m and sun4d.
  This package contains the Linux kernel image, the System.map file,
  and the modules built by the packager.  It also contains scripts that
@@ -38,12 +38,12 @@
  NOTE: sun4cdm includes virtually all non-UltraSPARC systems. If you do not
  have an UltraSPARC, this is most likely the kernel you want.
 
-Package: kernel-image-2.2.18pre21-sun4dm-smp
+Package: kernel-image-2.2.19-sun4dm-smp
 Section: base
 Architecture: sparc
 Priority: optional
 Provides: kernel-image
-Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
+Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for SMP sun4m and sun4d.
  This package contains the Linux kernel image, the System.map file,
  and the modules built by the packager.  It also contains scripts that
@@ -64,12 +64,12 @@
  kernel is specifically for SMP (multiple processors) systems. If you do not
  have more than one CPU, then choose the non-SMP kernel image.
 
-Package: kernel-image-2.2.18pre21-sun4dm-pci
+Package: kernel-image-2.2.19-sun4dm-pci
 Section: base
 Architecture: sparc
 Priority: optional
 Provides: kernel-image
-Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
+Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for PCI based sun4m and sun4d.
  This package contains the Linux kernel image, the System.map file,
  and the modules built by the packager.  It also contains scripts that
@@ -91,12 +91,12 @@
  does not have a PCI motherboard, you want to choose the standard sun4cdm
  image.
 
-Package: kernel-image-2.2.18pre21-sun4u
+Package: kernel-image-2.2.19-sun4u
 Section: base
 Architecture: sparc
 Priority: optional
 Provides: kernel-image
-Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
+Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for UltraSPARC (sun4u) systems.
  This package contains the Linux kernel image, the System.map file,
  and the modules built by the packager.  It also contains scripts that
@@ -115,12 +115,12 @@
  NOTE: This kernel is strictly for UltraSPARC (sun4u) class systems. If you
  do not have an UltraSPARC, then most likely you want the sun4cdm image.
 
-Package: kernel-image-2.2.18pre21-sun4u-smp
+Package: kernel-image-2.2.19-sun4u-smp
 Section: base
 Architecture: sparc
 Priority: optional
 Provides: kernel-image
-Suggests: silo,  fdutils, kernel-doc-2.2.18pre21
+Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for SMP UltraSPARC (sun4u) systems.
  This package contains the Linux kernel image, the System.map file,
  and the modules built by the packager.  It also contains scripts that
