=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 debian/control: FORCE
 	sed -e 's/=V/$(VERSION)/g' debian/control.in > debian/control
 
-stamps/$(VERSION)/build-%-stamp: setup config/$(VERSION)/% debian/control
+stamps/$(VERSION)/build-%-stamp: setup config/$(VERSION)/%
 	rm -f $@
 
 	mkdir -p kernel-source-$(VERSION)/debian
@@ -76,9 +76,6 @@
 		cat debian/files >> ../debian/files; \
 	);
 	mv -f kernel-image-$(VERSION)-$*_*.deb ../
-ifneq (,$(findstring $(SUBARCH),$(DEFAULT_ARCH)))
-	$(MAKE) -f debian/rules stamps/$(VERSION)/kernel-header-stamp
-endif
 	touch $@
 
 stamps/$(VERSION)/kernel-header-stamp: setup config/$(VERSION)/$(DEFAULT_ARCH)
@@ -97,8 +94,22 @@
 	install -m 644 debian/changelog \
 		debian/$(kh_pkg)/usr/share/doc/$(kh_pkg)/changelog
 	gzip -9qf debian/$(kh_pkg)/usr/share/doc/$(kh_pkg)/changelog
-	-(cd kernel-source-$(VERSION) ; tar cf - `ls -d include/* | grep -v /asm` \
-		include/asm-sparc include/asm-sparc64) | \
+	( \
+		cp config/$(VERSION)/sun4cdm kernel-source-$(VERSION)/.config; \
+		cd kernel-source-$(VERSION); \
+		sparc32 make-kpkg clean; \
+		sparc32 make oldconfig dep; \
+	)
+	(cd kernel-source-$(VERSION) ; tar cf - `ls -d include/* | grep -v /asm`\
+		include/asm-sparc) | \
+		(cd debian/$(kh_pkg)/usr/src/$(kh_pkg); umask 022; tar xsf -)
+	( \
+		cp config/$(VERSION)/sun4u kernel-source-$(VERSION)/.config; \
+		cd kernel-source-$(VERSION); \
+		sparc64 make-kpkg clean; \
+		sparc64 make oldconfig dep; \
+	)
+	(cd kernel-source-$(VERSION) ; tar cf - include/asm-sparc64) | \
 		(cd debian/$(kh_pkg)/usr/src/$(kh_pkg); umask 022; tar xsf -)
 	(cd debian/$(kh_pkg)/usr/src/$(kh_pkg)/include; rm -fr asm)
 	[ -x debian/generate-asm.sh ] || chmod 755 debian/generate-asm.sh
@@ -112,28 +123,26 @@
 	rm -rf debian/$(kh_pkg)
 	touch $@
 
-clean:
+clean: debian/control
 	rm -rf kernel-source-*
 	rm -f *.deb stamps/$(VERSION)/*-stamp debian/files
 	dh_clean
 
 install: stamps/$(VERSION)/install-stamp
-stamps/$(VERSION)/install-stamp: stamps/$(VERSION)/build-stamp
-	dh_clean -k
-	dh_installdirs
+stamps/$(VERSION)/install-stamp: build stamps/$(VERSION)/kernel-header-stamp
+	@for subarch in config/$(VERSION)/*; do \
+		subarch=$$(basename $$subarch); \
+		debian/rules SUBARCH=$$subarch stamps/$(VERSION)/build-$${subarch}-stamp; \
+	done
 	touch stamps/$(VERSION)/install-stamp
 
 # Build architecture-independent files here.
 binary-indep:
 
 # Build architecture-dependent files here.
-binary-arch: build
+binary-arch: install
 build: stamps/$(VERSION)/build-stamp
-stamps/$(VERSION)/build-stamp:
-	@for subarch in config/$(VERSION)/*; do \
-		subarch=$$(basename $$subarch); \
-		debian/rules SUBARCH=$$subarch stamps/$(VERSION)/build-$${subarch}-stamp; \
-	done
+stamps/$(VERSION)/build-stamp: debian/control
 	touch stamps/$(VERSION)/build-stamp
 
 FORCE:
