## kernel-image-sparc-2.2 8

=== debian/changelog ===
kernel-image-sparc-2.2 (8) stable unstable; urgency=high

  * Ok, now the latest 2.2.19 source has the fixes we want.

 -- Ben Collins <bcollins@debian.org>  Sat,  9 Jun 2001 12:06:59 -0400

kernel-image-sparc-2.2 (7) stable unstable; urgency=high

  * Update to latest 2.2.19 source, to pick up the nfs fixes, closes:
    #94477
  * Include PCI domain patches from Dave Miller

 -- Ben Collins <bcollins@debian.org>  Wed, 16 May 2001 10:50:28 -0400
