=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kernel-image-sparc-2.2
-Section: devel
+Section: base
 Priority: optional
 Maintainer:  Ben Collins <bcollins@debian.org>
 Standards-Version: 3.0.1.0
-Build-Depends: egcs64, gcc (>= 2.95.2-4.1), kernel-source, sparc-utils, bzip2
+Build-Depends: egcs64, gcc (>= 2.95.2-4.1), kernel-source-2.2, sparc-utils, bzip2
 
 Package: kernel-headers-2.2.19-sparc
 Section: devel
@@ -18,7 +18,7 @@
 Section: base
 Architecture: sparc
 Priority: optional
-Provides: kernel-image
+Provides: kernel-image, kernel-image-2.2
 Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for sun4c, sun4m and sun4d.
  This package contains the Linux kernel image, the System.map file,
@@ -42,7 +42,7 @@
 Section: base
 Architecture: sparc
 Priority: optional
-Provides: kernel-image
+Provides: kernel-image, kernel-image-2.2
 Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for SMP sun4m and sun4d.
  This package contains the Linux kernel image, the System.map file,
@@ -68,7 +68,7 @@
 Section: base
 Architecture: sparc
 Priority: optional
-Provides: kernel-image
+Provides: kernel-image, kernel-image-2.2
 Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for PCI based sun4m and sun4d.
  This package contains the Linux kernel image, the System.map file,
@@ -95,7 +95,7 @@
 Section: base
 Architecture: sparc
 Priority: optional
-Provides: kernel-image
+Provides: kernel-image, kernel-image-2.2
 Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for UltraSPARC (sun4u) systems.
  This package contains the Linux kernel image, the System.map file,
@@ -119,7 +119,7 @@
 Section: base
 Architecture: sparc
 Priority: optional
-Provides: kernel-image
+Provides: kernel-image, kernel-image-2.2
 Suggests: silo,  fdutils, kernel-doc-2.2.19
 Description: Linux kernel binary image for SMP UltraSPARC (sun4u) systems.
  This package contains the Linux kernel image, the System.map file,
