## kernel-image-sparc-2.2 9

=== debian/changelog ===
kernel-image-sparc-2.2 (9) stable unstable; urgency=high

  * Working on 2.2.20 now. Closes: #98755

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Nov 2001 23:54:37 -0500
