## kernel-image-sparc-2.2 9woody1

=== debian/changelog ===
kernel-image-sparc-2.2 (9woody1) stable-security; urgency=HIGH

  * NMU for security
  * Security update pulled in by adding versioned dependency
    on kernel-source-2.2.20 (2.2.20-5woody3):
      - CAN-2004-0077: Linux kernel do_mremap VMA limit local privilege
        escalation vulnerability (Closes: #238709)
  * Fix FTBFS: add debhelper and kernel-package to Build-Depends, and 
    change tar Ixf usage to tar --bzip2 -xf
  * patches/all/sparc64-NEW_GAS-check: use ld -V, not ld --version, so
    as to work around incorrect use of sparc64-linux-ld

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 11 Apr 2004 11:09:22 -0700
