=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Ben Collins <bcollins@debian.org>
 Standards-Version: 3.0.1.0
-Build-Depends: egcs64, gcc (>= 2.95.2-4.1), kernel-source-2.2, sparc-utils, bzip2
+Build-Depends: egcs64, gcc (>= 2.95.2-4.1), kernel-source-2.2.20 (>= 2.2.20-5woody3), sparc-utils, bzip2, kernel-package, debhelper (>= 3)
 
 Package: kernel-headers-2.2.20-sparc
 Section: devel
