=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 unpack: stamps/$(VERSION)/unpack-stamp
 stamps/$(VERSION)/unpack-stamp:
-	tar Ixf /usr/src/kernel-source-$(VERSION).tar.bz2
+	tar --bzip2 -xf /usr/src/kernel-source-$(VERSION).tar.bz2
 	touch stamps/$(VERSION)/unpack-stamp
 
 patch: stamps/$(VERSION)/patch-stamp
@@ -49,7 +49,7 @@
 		for addon in addons/all/* $$veradd; do \
 			tarflags=""; \
 			case "$$addon" in \
-				*.bz2)	tarflags="Ixf";; \
+				*.bz2)	tarflags="--bzip2 -xf";; \
 				*.gz)	tarflags="zxf";; \
 			esac; \
 			echo "tar $$tarflags $$addon -C kernel-source-$(VERSION)"; \
