## kernel-image-sparc-2.2 9.1

=== debian/changelog ===
kernel-image-sparc-2.2 (9.1) unstable; urgency=HIGH

  * NMU. Liberal fixes make the source package robust enough to survive
    another release cycle.
  * All security holes fixed with kernel-source upgrade (closes: #239711)
    - Bump everything necessary to version 2.2.25, add build-dep on
      kernel-source-2.2.25 (>= 2.2.25-3) which incorporates the mremap
      fixes.
    - mremap vulnerabilities are all addressed.
  * Enable CONFIG_QUOTA, no harm - 2.2 images are still tiny! (closes: #87859)
  * Lose the sun4u images because 2.4 is much preferred for these machines
    and works 100%.
  * Rework descriptions to note that most people should install 2.4 kernel
    images.
  * Build fixes:
    - use tar --bzip2 instead of tar I
    - add build-dependencies on kernel-package, debhelper (>= 4)
    - sparc64-NEW_GAS-and-CC: use ld -V, not ld --version
    - lose the whole "let's maintain several kernel versions with the same
      source package" idea, flatten out debian/rules and remove all 2.2.19
      dirs
    - use debhelper with kernel-headers package, makes life a lot easier
  * Trivial fixes:
    - s/LILO/SILO/g in package descriptions. (Closes: #101024)
    - Append meaningful EXTRAVERSION names to distinguish kernels and allow
      them to be concurrently installed, a la 2.4. (Closes: #185993)
    - remove Emacs variables from changelog file
    - Lose unused debian/fixup-configs.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 28 Apr 2004 01:43:09 -0400
