=== debian/control ===
Source: kernel-image-sparc-2.2
Section: base
Priority: optional
Maintainer: Ben Collins <bcollins@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: gcc-2.95 (>= 2.95.4), kernel-source-2.2.25 (>= 2.2.25-3), sparc-utils, bzip2, kernel-package, debhelper (>= 4)

Package: kernel-headers-2.2.25-sparc
Section: devel
Architecture: sparc
Priority: optional
Provides: kernel-headers, kernel-headers-2.2
Description: Kernel header files for all SPARC sub-architectures
 This package provides kernel header files, for sites that want the version
 2.2.25 kernel headers for sparc.

Package: kernel-image-2.2.25-sun4cdm
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.2
Suggests: silo, fdutils, kernel-doc-2.2.25
Description: Linux kernel binary image for sun4c, sun4m and sun4d
 This package contains the Linux kernel image and modules (version 2.2.25)
 that are used to boot a uniprocessor sun4c/sun4m 32-bit SPARC machine.
 Note, this kernel is highly outdated; specifically, this package still
 exists for people who have HyperSPARC processors, because HyperSPARCs are
 unreliable with 2.4. All other people should install a version 2.4 kernel
 image (for instance, kernel-image-2.4.26-sparc32, or if you possess an
 UltraSPARC processor, kernel-image-2.4.26-sparc64.)
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and SILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.

Package: kernel-image-2.2.25-sun4dm-smp
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.2
Suggests: silo, fdutils, kernel-doc-2.2.25
Description: Linux kernel binary image for SMP sun4m and sun4d
 This package contains the Linux kernel image and modules (version 2.2.25)
 that are used to boot a multiprocessor sun4c/sun4m 32-bit SPARC machine.
 Note, this kernel is highly outdated; specifically, this package still
 exists for people who have HyperSPARC processors, because HyperSPARCs are
 unreliable with 2.4. All other people should install a version 2.4 kernel
 image (for instance, kernel-image-2.4.26-sparc32-smp, or if you possess an
 UltraSPARC processor, kernel-image-2.4.26-sparc64-smp.)
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and SILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
